package es.uv.saic.domain;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.NamedQuery;
import jakarta.persistence.Table;

@Entity
@Table(name="categories")
@NamedQuery(name="Categoria.findAll", query="SELECT i FROM Categoria i")
public class Categoria {

	@Id
	@Column(name="id_categoria")
	private Integer idCategoria;
	private Integer pare;
	private Integer ordre;
	private String tipus;
	private String nomVal;
	private String nomCas;
	private String tambit;
	
	public Categoria() {}
	
	public Categoria(Integer idCategoria, Integer pare, Integer ordre, String tipus, String nomVal, String nomCas, String tambit) {
		this.idCategoria = idCategoria;
		this.tipus = tipus;
		this.nomVal = nomVal;
		this.nomCas = nomCas;
		this.pare = pare;
		this.ordre = ordre;
		this.tambit = tambit;
	}
	
	public Integer getIdCategoria() {
		return idCategoria;
	}
	public void setIdCategoria(Integer idCategoria) {
		this.idCategoria = idCategoria;
	}
	public String getTipus() {
		return tipus;
	}
	public void setTipus(String tipus) {
		this.tipus = tipus;
	}
	public String getNomVal() {
		return nomVal;
	}
	public void setNomVal(String nomVal) {
		this.nomVal = nomVal;
	}
	public String getNomCas() {
		return nomCas;
	}
	public void setNomCas(String nomCas) {
		this.nomCas = nomCas;
	}
	public Integer getPare() {
		return pare;
	}
	public void setPare(Integer pare) {
		this.pare = pare;
	}
	public Integer getOrdre() {
		return ordre;
	}
	public void setOrdre(Integer ordre) {
		this.ordre = ordre;
	}
	public String getTambit() {
		return tambit;
	}
	public void setTambit(String tambit) {
		this.tambit = tambit;
	}
}
